org.jboss.jca.adapters.jdbc

## Class WrappedStatement

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.WrappedStatement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.Statement, java.sql.Wrapper, StatementAccess
  Direct Known Subclasses:
    WrappedPreparedStatement, WrappedStatementJDK7, WrappedStatementJDK8

      public abstract class WrappedStatement
      extends JBossWrapper
      implements java.sql.Statement, StatementAccess

  A wrapper for a statement.
  Author:
    David Jencks, Adrian Brock, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.Integer` | `defaultFetchSize` Default fetch size
    `protected boolean` | `doLocking` Do locking
    `protected java.lang.String` | `jndiName` The jndi name
    `protected boolean` | `spy` Spy functionality
    `protected static org.jboss.logging.Logger` | `spyLogger` The spy logger
    `protected java.lang.String` | `spyLoggingCategory` The spy logging category

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `WrappedStatement(WrappedConnection lc, java.sql.Statement s, boolean spy, java.lang.String jndiName, boolean doLocking)` Constructor
    `protected` | `WrappedStatement(WrappedConnection lc, java.sql.Statement s, boolean spy, java.lang.String jndiName, boolean doLocking, java.lang.String spyLoggingCategory)` Constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBatch(java.lang.String sql)`
    `void` | `cancel()`
    `protected void` | `checkConfiguredQueryTimeout()` Check configured query timeout
    `protected java.sql.SQLException` | `checkException(java.lang.Throwable t)` Check exception
    `protected void` | `checkState()` Check state
    `protected void` | `checkTransaction()` Check transaction
    `protected void` | `checkTransactionActive()` Check if transaction is active
    `void` | `clearBatch()`
    `void` | `clearWarnings()`
    `void` | `close()`
    `void` | `closeOnCompletion()`
    `protected void` | `closeResultSets()` Close result sets
    `boolean` | `execute(java.lang.String sql)`
    `boolean` | `execute(java.lang.String sql, int autoGeneratedKeys)`
    `boolean` | `execute(java.lang.String sql, int[] columnIndexes)`
    `boolean` | `execute(java.lang.String sql, java.lang.String[] columnNames)`
    `int[]` | `executeBatch()`
    `java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
    `int` | `executeUpdate(java.lang.String sql)`
    `int` | `executeUpdate(java.lang.String sql, int autoGeneratedKeys)`
    `int` | `executeUpdate(java.lang.String sql, int[] columnIndexes)`
    `int` | `executeUpdate(java.lang.String sql, java.lang.String[] columnNames)`
    `java.sql.Connection` | `getConnection()`
    `int` | `getFetchDirection()`
    `int` | `getFetchSize()`
    `java.sql.ResultSet` | `getGeneratedKeys()`
    `int` | `getMaxFieldSize()`
    `int` | `getMaxRows()`
    `boolean` | `getMoreResults()`
    `boolean` | `getMoreResults(int current)`
    `int` | `getQueryTimeout()`
    `java.sql.ResultSet` | `getResultSet()`
    `int` | `getResultSetConcurrency()`
    `int` | `getResultSetHoldability()`
    `int` | `getResultSetType()`
    `java.sql.Statement` | `getUnderlyingStatement()` Get the underlying statement
    `int` | `getUpdateCount()`
    `java.sql.SQLWarning` | `getWarnings()`
    `protected java.sql.Statement` | `getWrappedObject()` Get the wrapped statement
    `protected void` | `internalClose()` Close
    `boolean` | `isClosed()`
    `boolean` | `isCloseOnCompletion()`
    `boolean` | `isPoolable()`
    `protected void` | `lock()` Lock connection
    `protected java.sql.ResultSet` | `registerResultSet(java.sql.ResultSet resultSet)` Register a result set
    `void` | `setCursorName(java.lang.String name)`
    `void` | `setEscapeProcessing(boolean enable)`
    `void` | `setFetchDirection(int direction)`
    `void` | `setFetchSize(int rows)`
    `void` | `setMaxFieldSize(int max)`
    `void` | `setMaxRows(int max)`
    `void` | `setPoolable(boolean poolable)`
    `void` | `setQueryTimeout(int timeout)`
    `protected void` | `unlock()` Unlock connection
    `protected void` | `unregisterResultSet(WrappedResultSet resultSet)` Unregister a result set
    `protected abstract WrappedResultSet` | `wrapResultSet(java.sql.ResultSet resultSet, boolean spy, java.lang.String jndiName, boolean doLocking)` Wrap the result set

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Statement

      `executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, getLargeUpdateCount, setLargeMaxRows`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Field Detail

    - #### spyLogger

          protected static org.jboss.logging.Logger spyLogger

      The spy logger

    - #### spy

          protected final boolean spy

      Spy functionality

    - #### jndiName

          protected final java.lang.String jndiName

      The jndi name

    - #### spyLoggingCategory

          protected final java.lang.String spyLoggingCategory

      The spy logging category

    - #### defaultFetchSize

          protected static java.lang.Integer defaultFetchSize

      Default fetch size

    - #### doLocking

          protected final boolean doLocking

      Do locking

  - ### Constructor Detail

    - #### WrappedStatement

          public WrappedStatement(WrappedConnection lc,
                                  java.sql.Statement s,
                                  boolean spy,
                                  java.lang.String jndiName,
                                  boolean doLocking)

      Constructor
      Parameters:
        `lc` - The connection
        `s` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking

    - #### WrappedStatement

          protected WrappedStatement(WrappedConnection lc,
                                     java.sql.Statement s,
                                     boolean spy,
                                     java.lang.String jndiName,
                                     boolean doLocking,
                                     java.lang.String spyLoggingCategory)

      Constructor
      Parameters:
        `lc` - The connection
        `s` - The statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
        `spyLoggingCategory` - The spy logging category

  - ### Method Detail

    - #### lock

          protected void lock()
                       throws java.sql.SQLException

      Lock connection
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### unlock

          protected void unlock()

      Unlock connection

    - #### close

          public void close()
                     throws java.sql.SQLException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute(java.lang.String sql)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute(java.lang.String sql,
                                 int autoGeneratedKeys)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute(java.lang.String sql,
                                 int[] columnIndexes)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute(java.lang.String sql,
                                 java.lang.String[] columnNames)
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      Specified by:
        `getConnection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

      Specified by:
        `getWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearWarnings

          public void clearWarnings()
                             throws java.sql.SQLException

      Specified by:
        `clearWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public java.sql.ResultSet executeQuery(java.lang.String sql)
                                          throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate(java.lang.String sql)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate(java.lang.String sql,
                                   int autoGeneratedKeys)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate(java.lang.String sql,
                                   int[] columnIndexes)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate(java.lang.String sql,
                                   java.lang.String[] columnNames)
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxFieldSize

          public int getMaxFieldSize()
                              throws java.sql.SQLException

      Specified by:
        `getMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxFieldSize

          public void setMaxFieldSize(int max)
                               throws java.sql.SQLException

      Specified by:
        `setMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxRows

          public int getMaxRows()
                         throws java.sql.SQLException

      Specified by:
        `getMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxRows

          public void setMaxRows(int max)
                          throws java.sql.SQLException

      Specified by:
        `setMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setEscapeProcessing

          public void setEscapeProcessing(boolean enable)
                                   throws java.sql.SQLException

      Specified by:
        `setEscapeProcessing` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getQueryTimeout

          public int getQueryTimeout()
                              throws java.sql.SQLException

      Specified by:
        `getQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setQueryTimeout

          public void setQueryTimeout(int timeout)
                               throws java.sql.SQLException

      Specified by:
        `setQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### cancel

          public void cancel()
                      throws java.sql.SQLException

      Specified by:
        `cancel` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setCursorName

          public void setCursorName(java.lang.String name)
                             throws java.sql.SQLException

      Specified by:
        `setCursorName` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public java.sql.ResultSet getResultSet()
                                          throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getUpdateCount

          public int getUpdateCount()
                             throws java.sql.SQLException

      Specified by:
        `getUpdateCount` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public boolean getMoreResults()
                                 throws java.sql.SQLException

      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public boolean getMoreResults(int current)
                                 throws java.sql.SQLException

      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchDirection

          public void setFetchDirection(int direction)
                                 throws java.sql.SQLException

      Specified by:
        `setFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchDirection

          public int getFetchDirection()
                                throws java.sql.SQLException

      Specified by:
        `getFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchSize

          public void setFetchSize(int rows)
                            throws java.sql.SQLException

      Specified by:
        `setFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchSize

          public int getFetchSize()
                           throws java.sql.SQLException

      Specified by:
        `getFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetConcurrency

          public int getResultSetConcurrency()
                                      throws java.sql.SQLException

      Specified by:
        `getResultSetConcurrency` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetType

          public int getResultSetType()
                               throws java.sql.SQLException

      Specified by:
        `getResultSetType` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public void addBatch(java.lang.String sql)
                        throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearBatch

          public void clearBatch()
                          throws java.sql.SQLException

      Specified by:
        `clearBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeBatch

          public int[] executeBatch()
                             throws java.sql.SQLException

      Specified by:
        `executeBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getGeneratedKeys

          public java.sql.ResultSet getGeneratedKeys()
                                              throws java.sql.SQLException

      Specified by:
        `getGeneratedKeys` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetHoldability

          public int getResultSetHoldability()
                                      throws java.sql.SQLException

      Specified by:
        `getResultSetHoldability` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      Specified by:
        `isClosed` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isPoolable

          public boolean isPoolable()
                             throws java.sql.SQLException

      Specified by:
        `isPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setPoolable

          public void setPoolable(boolean poolable)
                           throws java.sql.SQLException

      Specified by:
        `setPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### closeOnCompletion

          public void closeOnCompletion()
                                 throws java.sql.SQLException

      Specified by:
        `closeOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isCloseOnCompletion

          public boolean isCloseOnCompletion()
                                      throws java.sql.SQLException

      Specified by:
        `isCloseOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getUnderlyingStatement

          public java.sql.Statement getUnderlyingStatement()
                                                    throws java.sql.SQLException

      Get the underlying statement
      Specified by:
        `getUnderlyingStatement` in interface `StatementAccess`
      Returns:
        the underlying statement
      Throws:
        `java.sql.SQLException` - when already closed

    - #### getWrappedObject

          protected java.sql.Statement getWrappedObject()
                                                 throws java.sql.SQLException

      Get the wrapped statement
      Overrides:
        `getWrappedObject` in class `JBossWrapper`
      Returns:
        The result
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### checkException

          protected java.sql.SQLException checkException(java.lang.Throwable t)
                                                  throws java.sql.SQLException

      Check exception
      Parameters:
        `t` - The throwable
      Returns:
        The result
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### checkTransaction

          protected void checkTransaction()
                                   throws java.sql.SQLException

      Check transaction
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### checkConfiguredQueryTimeout

          protected void checkConfiguredQueryTimeout()
                                              throws java.sql.SQLException

      Check configured query timeout
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### checkTransactionActive

          protected void checkTransactionActive()
                                         throws java.sql.SQLException

      Check if transaction is active
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### internalClose

          protected void internalClose()
                                throws java.sql.SQLException

      Close
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### checkState

          protected void checkState()
                             throws java.sql.SQLException

      Check state
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

    - #### wrapResultSet

          protected abstract WrappedResultSet wrapResultSet(java.sql.ResultSet resultSet,
                                                            boolean spy,
                                                            java.lang.String jndiName,
                                                            boolean doLocking)

      Wrap the result set
      Parameters:
        `resultSet` - The result set
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
      Returns:
        The result

    - #### registerResultSet

          protected java.sql.ResultSet registerResultSet(java.sql.ResultSet resultSet)

      Register a result set
      Parameters:
        `resultSet` - The result set
      Returns:
        The result

    - #### unregisterResultSet

          protected void unregisterResultSet(WrappedResultSet resultSet)

      Unregister a result set
      Parameters:
        `resultSet` - The result set

    - #### closeResultSets

          protected void closeResultSets()

      Close result sets

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)